Accepting request 800957 from multimedia:libs

OBS-URL: https://build.opensuse.org/request/show/800957
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/alsa-utils?expand=0&rev=123
This commit is contained in:
Dominique Leuenberger 2020-05-09 17:51:57 +00:00 committed by Git OBS Bridge
commit 085810980b
5 changed files with 154 additions and 0 deletions

View File

@ -0,0 +1,28 @@
From 217fef4a0b4e2604d57c8b9cb21e67a82e9a17a3 Mon Sep 17 00:00:00 2001
From: Michael Shigorin <mike@altlinux.org>
Date: Fri, 1 May 2020 10:28:59 +0300
Subject: [PATCH 5/7] alsa-info.sh: add ALT to DISTRO list
Suggested-by: Anton Farygin <rider@altlinux.org>
See-also: http://bugzilla.altlinux.org/38416
Signed-off-by: Jaroslav Kysela <perex@perex.cz>
---
alsa-info/alsa-info.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
index 7bae30a614b0..2265caec970e 100755
--- a/alsa-info/alsa-info.sh
+++ b/alsa-info/alsa-info.sh
@@ -394,7 +394,7 @@ fi
# Fetch the info and store in temp files/variables
TSTAMP=$(LANG=C TZ=UTC date)
-DISTRO=$(grep -ihs "buntu\|SUSE\|Fedora\|PCLinuxOS\|MEPIS\|Mandriva\|Debian\|Damn\|Sabayon\|Slackware\|KNOPPIX\|Gentoo\|Zenwalk\|Mint\|Kubuntu\|FreeBSD\|Puppy\|Freespire\|Vector\|Dreamlinux\|CentOS\|Arch\|Xandros\|Elive\|SLAX\|Red\|BSD\|KANOTIX\|Nexenta\|Foresight\|GeeXboX\|Frugalware\|64\|SystemRescue\|Novell\|Solaris\|BackTrack\|KateOS\|Pardus" /etc/{issue,*release,*version})
+DISTRO=$(grep -ihs "buntu\|SUSE\|Fedora\|PCLinuxOS\|MEPIS\|Mandriva\|Debian\|Damn\|Sabayon\|Slackware\|KNOPPIX\|Gentoo\|Zenwalk\|Mint\|Kubuntu\|FreeBSD\|Puppy\|Freespire\|Vector\|Dreamlinux\|CentOS\|Arch\|Xandros\|Elive\|SLAX\|Red\|BSD\|KANOTIX\|Nexenta\|Foresight\|GeeXboX\|Frugalware\|64\|SystemRescue\|Novell\|Solaris\|BackTrack\|KateOS\|Pardus\|ALT" /etc/{issue,*release,*version})
KERNEL_VERSION=$(uname -r)
KERNEL_PROCESSOR=$(uname -p)
KERNEL_MACHINE=$(uname -m)
--
2.16.4

View File

@ -0,0 +1,87 @@
From 8e59029c9c70d00efb33eb1d0d79b30dbcabbcc8 Mon Sep 17 00:00:00 2001
From: Michael Shigorin <mike@altlinux.org>
Date: Fri, 1 May 2020 10:52:42 +0300
Subject: [PATCH 6/7] alsa-info: initial rpm/deb package info
This might become a Pandora's box given
the amount of obscure package managers
on the planet but these two account for
most *nix-like systems with ALSA it seems.
Added support for querying ALSA packages
installed through rpm and dpkg; tested
on ALT (rpm) and OS Elbrus (dpkg).
Suggested-by: Anton Farygin <rider@altlinux.org>
See-also: http://bugzilla.altlinux.org/38416
Signed-off-by: Jaroslav Kysela <perex@perex.cz>
---
alsa-info/alsa-info.sh | 24 ++++++++++++++++++++++++
1 file changed, 24 insertions(+)
diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
index 2265caec970e..1bf0421e0db3 100755
--- a/alsa-info/alsa-info.sh
+++ b/alsa-info/alsa-info.sh
@@ -238,6 +238,23 @@ withdmesg() {
echo "" >> $FILE
}
+withpackages() {
+ local RPM="$(which rpmquery 2>/dev/null | sed 's|^[^/]*||' 2>/dev/null)"
+ local DPKG="$(which dpkg 2>/dev/null | sed 's|^[^/]*||' 2>/dev/null)"
+ [ -n "$RPM$DPKG" ] || return
+ local PATTERN='(alsa-(lib|oss|plugins|tools|(topology|ucm)-conf|utils)|libalsa|tinycompress)'
+ {
+ echo "!!Packages installed"
+ echo "!!--------------------"
+ echo ""
+ {
+ if [ -x "$RPM" ]; then "$RPM" -a; fi
+ if [ -x "$DPKG" ]; then "$DPKG" -l; fi
+ } | grep -E "$PATTERN"
+ echo ""
+ } >> "$FILE"
+}
+
withall() {
withdevices
withconfigs
@@ -247,6 +264,7 @@ withall() {
withmodules
withsysfs
withdmesg
+ withpackages
WITHALL="no"
}
@@ -357,6 +375,7 @@ information about your ALSA installation and sound related hardware.
aplay
amixer
alsactl
+ rpm, dpkg
/proc/asound/
/sys/class/sound/
~/.asoundrc (etc.)
@@ -699,6 +718,10 @@ if [ -n "$1" ]; then
withconfigs
WITHALL="no"
;;
+ --with-packages)
+ withpackages
+ WITHALL="no"
+ ;;
--stdout)
UPLOAD="no"
if [ -z "$WITHALL" ]; then
@@ -730,6 +753,7 @@ if [ -n "$1" ]; then
echo " /etc/asound.conf if they exist)"
echo " --with-devices (shows the device nodes in /dev/snd/)"
echo " --with-dmesg (shows the ALSA/HDA kernel messages)"
+ echo " --with-packages (includes known packages installed)"
echo ""
echo " --output FILE (specify the file to output for no-upload mode)"
echo " --update (check server for script updates)"
--
2.16.4

View File

@ -0,0 +1,25 @@
From 2cfeffb6e80db3fa39054f74badac33f9539233a Mon Sep 17 00:00:00 2001
From: Jaroslav Kysela <perex@perex.cz>
Date: Mon, 4 May 2020 10:05:41 +0200
Subject: [PATCH 7/7] alsa-info.sh: increase version to 0.4.65
Signed-off-by: Jaroslav Kysela <perex@perex.cz>
---
alsa-info/alsa-info.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/alsa-info/alsa-info.sh b/alsa-info/alsa-info.sh
index 1bf0421e0db3..c1849159120c 100755
--- a/alsa-info/alsa-info.sh
+++ b/alsa-info/alsa-info.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-SCRIPT_VERSION=0.4.64
+SCRIPT_VERSION=0.4.65
CHANGELOG="http://www.alsa-project.org/alsa-info.sh.changelog"
#################################################################################
--
2.16.4

View File

@ -1,3 +1,11 @@
-------------------------------------------------------------------
Wed May 6 12:19:02 CEST 2020 - tiwai@suse.de
- Backport upstream fixes: some improvements in alsa-info.sh:
0005-alsa-info.sh-add-ALT-to-DISTRO-list.patch
0006-alsa-info-initial-rpm-deb-package-info.patch
0007-alsa-info.sh-increase-version-to-0.4.65.patch
-------------------------------------------------------------------
Mon Apr 20 17:59:59 CEST 2020 - tiwai@suse.de

View File

@ -33,6 +33,9 @@ Patch1: 0001-alsaloop-reduce-cumulative-error-caused-by-non-atomi.patch
Patch2: 0002-alsactl-don-t-exit-on-EINTR-from-epoll_wait.patch
Patch3: 0003-alsactl-avoid-needless-wakeups-in-monitor-loop.patch
Patch4: 0004-alsactl-fix-error-handling-for-sched_setscheduler-ca.patch
Patch5: 0005-alsa-info.sh-add-ALT-to-DISTRO-list.patch
Patch6: 0006-alsa-info-initial-rpm-deb-package-info.patch
Patch7: 0007-alsa-info.sh-increase-version-to-0.4.65.patch
Patch101: alsa-utils-configure-version-revert.patch
BuildRequires: alsa-devel
BuildRequires: alsa-topology-devel
@ -77,6 +80,9 @@ and test audio before and after PM state changes.
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%if 0%{?do_autoreconf}
%patch101 -p1
# fix stupid automake's automatic action